OpenTTD: src/network/network_udp.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
network_udp.h File Reference

Sending and receiving UDP messages. More...

`#include "core/address.h"`

Go to the source code of this file.

## Functions
void | NetworkUDPInitialize ()
| Initialize the whole UDP bit.
void | NetworkUDPSearchGame ()
| Find all servers.
void | NetworkUDPQueryMasterServer ()
| Request the the server-list from the master server.
void | NetworkUDPQueryServer (NetworkAddress address, bool manually=false)
| Query a specific server.
void | NetworkUDPAdvertise ()
| Register us to the master server This function checks if it needs to send an advertise.
void | NetworkUDPRemoveAdvertise (bool blocking)
| Remove our advertise from the master-server.
void | NetworkUDPClose ()
| Close all UDP related stuff.
void | NetworkBackgroundUDPLoop ()
| Receive the UDP packets.

## Detailed Description

Sending and receiving UDP messages.

Definition in file network_udp.h.

## Function Documentation

void NetworkBackgroundUDPLoop | ( |  | ) |

Receive the UDP packets.

Definition at line 703 of file network_udp.cpp.

References _network_udp_broadcast, _network_udp_server, ThreadMutex::BeginCritical(), ThreadMutex::EndCritical(), and NetworkUDPSocketHandler::ReceivePackets().

Referenced by NetworkBackgroundLoop().

void NetworkUDPAdvertise | ( |  | ) |

Register us to the master server This function checks if it needs to send an advertise.

< The time of the last advertisement (used to check for wrapping of time)

< The next time we should perform a normal advertisement.

< The next time we should perform a retry of an advertisement.

Definition at line 617 of file network_udp.cpp.

References _network_advertise_retries, _network_need_advertise, _network_server, _network_udp_server, _networking, _realtime_tick, _settings_client, ADVERTISE_NORMAL_INTERVAL, ADVERTISE_RETRY_INTERVAL, ADVERTISE_RETRY_TIMES, ClientSettings::network, NetworkUDPAdvertiseThread(), ThreadObject::New(), and NetworkSettings::server_advertise.

Referenced by NetworkServer_Tick().

void NetworkUDPClose | ( |  | ) |

Close all UDP related stuff.

Definition at line 683 of file network_udp.cpp.

References _network_udp_broadcast, _network_udp_server, _udp_client_socket, _udp_master_socket, _udp_server_socket, ThreadMutex::BeginCritical(), NetworkUDPSocketHandler::Close(), DEBUG, and ThreadMutex::EndCritical().

Referenced by NetworkShutDown(), and NetworkUDPInitialize().

void NetworkUDPInitialize | ( |  | ) |

Initialize the whole UDP bit.

Definition at line 657 of file network_udp.cpp.

References _network_udp_broadcast, _network_udp_server, _settings_client, ThreadMutex::BeginCritical(), SmallVector< T, S >::Clear(), DEBUG, ThreadMutex::EndCritical(), GetBindAddresses(), ClientSettings::network, NetworkUDPClose(), and NetworkSettings::server_port.

Referenced by NetworkDisconnect().

void NetworkUDPQueryServer | ( | NetworkAddress | address,
|  | bool | manually
| ) |  |

Query a specific server.

Parameters

  address | The address of the server.
  manually | Whether the address was entered manually.

Definition at line 109 of file network_udp.cpp.

References NetworkAddress::IsResolved(), NetworkUDPQueryServerThread(), and ThreadObject::New().

void NetworkUDPRemoveAdvertise | ( | bool | blocking | ) |

Remove our advertise from the master-server.

Parameters

  blocking | whether to wait until the removal has finished.

Definition at line 563 of file network_udp.cpp.

References _network_server, _network_udp_server, _networking, NetworkUDPRemoveAdvertiseThread(), and ThreadObject::New().

Referenced by NetworkDisconnect(), and MasterNetworkUDPSocketHandler::Receive_MASTER_ACK_REGISTER().